<?php
include ("ad_header.php");
$newlogin=$_POST['newlogin'];
$newlogin=str_replace('"',"'",$newlogin);
$newlogin=trim($newlogin);
$newlogin=mysql_escape_string($newlogin);
$newlogin=eregi_replace("[\']","",$newlogin);

$newpassword=$_POST['newpassword'];
$newpassword=str_replace('"',"'",$newpassword);
$newpassword=trim($newpassword);
$newpassword=mysql_escape_string($newpassword);
$newpassword=eregi_replace("[\']","",$newpassword);

$plogin=md5($newlogin);
$ppass=md5($newpassword);
$query="update admins set name='$plogin',pass='$ppass' where (status='admin')";
if (mysql_query($query)) {
echo "<script language='JavaScript'>\n";
echo "alert(\"Запишите ваши новые данные. Логин: $newlogin Пароль: $newpassword Чтобы вернуться в админ-панель авторизуйтесь с новыми данными.\");\n";
echo "</script>";
}
?>

<form action="../admin.php" name=redir method=post target="_parent">
</form>
<script language="JavaScript">
redir.submit();
</script>